package com.red.circle.console.app.service.app.user;


import com.red.circle.console.app.dto.clienobject.user.UserAuthDetailsCO;
import com.red.circle.framework.core.security.UserCredential;
import com.red.circle.other.inner.model.dto.user.UserAuthTypeDTO;
import com.red.circle.other.inner.model.dto.user.account.UserMobileUpdateCmd;

/**
 * <p>
 * 用户活动月度领取记录
 * </p>
 *
 * @author pengshigang
 * @since 2021-06-19
 */
public interface UserAuthTypeService {

  UserAuthTypeDTO updateUserInfo(Long userId);

  UserCredential token(Long userId);

  void tokenDel(Long userId);

  UserAuthDetailsCO getUserAuthDetails(Long userId);

  void editUserMobileAuth(UserMobileUpdateCmd param);

  void deleteUserMobileAuth(Long userId);

  void initUserAccountLogin(Long userId);

  void deleteUserAccountLogin(Long userId);

  void initUserPayAuth(Long userId);

  void deleteUserPayAuth(Long userId);
}
